> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaizenautomation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a file from URL

> Upload a file by providing a URL. The file will be fetched from the URL and uploaded to the organization storage.



## OpenAPI

````yaml post /files/createFromUrl
openapi: 3.1.0
info:
  title: Kaizen API
  version: 1.0.0
  description: API for the Kaizen Automation Platform
servers:
  - url: https://api.kaizenautomation.com
    description: Production server
security: []
paths:
  /files/createFromUrl:
    post:
      tags:
        - Files
      summary: Create a file from URL
      description: >-
        Upload a file by providing a URL. The file will be fetched from the URL
        and uploaded to the organization storage.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                fileUrl:
                  type: string
                  format: uri
                  description: URL of the file to upload
                name:
                  type: string
                  description: Name to give the uploaded file
              required:
                - fileUrl
                - name
              description: Request to create a file from a URL
      responses:
        '200':
          description: File uploaded successfully from URL
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileInfo'
                description: Created file information from URL
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Failed to fetch or upload file
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    FileInfo:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the file
        name:
          type: string
          description: Name of the file
        mimeType:
          type:
            - string
            - 'null'
          description: MIME type of the file
        sizeBytes:
          type:
            - number
            - 'null'
          description: Size of the file in bytes
        downloadUrl:
          type:
            - string
            - 'null'
          description: Signed URL to download the file directly
        key:
          type:
            - string
            - 'null'
          description: >-
            Key identifier for the file (for example, a key provided when
            completing a download for the file).
      required:
        - id
        - name
        - mimeType
        - sizeBytes
        - downloadUrl
        - key
      description: File information

````